<?php

/**
 * Returns the importmap for this application.
 *
 * - "path" is a path inside the asset mapper system. Use the
 *     "debug:asset-map" command to see the full list of paths.
 *
 * - "entrypoint" (JavaScript only) set to true for any module that will
 *     be used as an "entrypoint" (and passed to the importmap() Twig function).
 *
 * The "importmap:require" command can be used to add new entries to this file.
 */
return [
    'app' => [
        'path' => './assets/app.js',
        'entrypoint' => true,
    ],
    'bulma/css/bulma.min.css' => [
        'version' => '1.0.3',
        'type' => 'css',
    ],
    'graphiql' => [
        'version' => '3.8.3',
    ],
    '@graphiql/react' => [
        'version' => '0.28.2',
    ],
    'react' => [
        'version' => '18.3.1',
    ],
    'react/jsx-runtime' => [
        'version' => '18.3.1',
    ],
    'react-compiler-runtime' => [
        'version' => '19.0.0-beta-37ed2a7-20241206',
    ],
    'clsx' => [
        'version' => '1.2.1',
    ],
    'graphql' => [
        'version' => '16.10.0',
    ],
    '@graphiql/toolkit' => [
        'version' => '0.11.1',
    ],
    'graphql-language-service' => [
        'version' => '5.3.0',
    ],
    'set-value' => [
        'version' => '4.1.0',
    ],
    'get-value' => [
        'version' => '3.0.1',
    ],
    'copy-to-clipboard' => [
        'version' => '3.3.3',
    ],
    '@radix-ui/react-dialog' => [
        'version' => '1.1.4',
    ],
    '@radix-ui/react-visually-hidden' => [
        'version' => '1.1.1',
    ],
    '@radix-ui/react-dropdown-menu' => [
        'version' => '2.1.4',
    ],
    'markdown-it' => [
        'version' => '14.1.0',
    ],
    'framer-motion' => [
        'version' => '6.5.1',
    ],
    '@radix-ui/react-tooltip' => [
        'version' => '1.1.6',
    ],
    '@headlessui/react' => [
        'version' => '1.7.19',
    ],
    'react-dom' => [
        'version' => '18.3.1',
    ],
    'meros' => [
        'version' => '1.3.0',
    ],
    '@n1ru4l/push-pull-async-iterable-iterator' => [
        'version' => '3.2.0',
    ],
    'vscode-languageserver-types' => [
        'version' => '3.17.5',
    ],
    'nullthrows' => [
        'version' => '1.1.1',
    ],
    'is-primitive' => [
        'version' => '3.0.1',
    ],
    'is-plain-object' => [
        'version' => '2.0.4',
    ],
    'isobject' => [
        'version' => '3.0.1',
    ],
    'toggle-selection' => [
        'version' => '1.0.6',
    ],
    '@radix-ui/primitive' => [
        'version' => '1.1.1',
    ],
    '@radix-ui/react-compose-refs' => [
        'version' => '1.1.1',
    ],
    '@radix-ui/react-context' => [
        'version' => '1.1.1',
    ],
    '@radix-ui/react-id' => [
        'version' => '1.1.0',
    ],
    '@radix-ui/react-use-controllable-state' => [
        'version' => '1.1.0',
    ],
    '@radix-ui/react-dismissable-layer' => [
        'version' => '1.1.3',
    ],
    '@radix-ui/react-focus-scope' => [
        'version' => '1.1.1',
    ],
    '@radix-ui/react-portal' => [
        'version' => '1.1.3',
    ],
    '@radix-ui/react-presence' => [
        'version' => '1.1.2',
    ],
    '@radix-ui/react-primitive' => [
        'version' => '2.0.1',
    ],
    '@radix-ui/react-focus-guards' => [
        'version' => '1.1.1',
    ],
    'react-remove-scroll' => [
        'version' => '2.6.2',
    ],
    'aria-hidden' => [
        'version' => '1.2.4',
    ],
    '@radix-ui/react-slot' => [
        'version' => '1.1.1',
    ],
    '@radix-ui/react-menu' => [
        'version' => '2.1.4',
    ],
    'mdurl' => [
        'version' => '2.0.0',
    ],
    'uc.micro' => [
        'version' => '2.1.0',
    ],
    'entities' => [
        'version' => '4.5.0',
    ],
    'linkify-it' => [
        'version' => '5.0.0',
    ],
    'punycode.js' => [
        'version' => '2.3.1',
    ],
    'tslib' => [
        'version' => '2.6.2',
    ],
    'hey-listen' => [
        'version' => '1.0.8',
    ],
    'style-value-types' => [
        'version' => '5.0.0',
    ],
    'popmotion' => [
        'version' => '11.0.3',
    ],
    'framesync' => [
        'version' => '6.0.1',
    ],
    '@motionone/dom' => [
        'version' => '10.12.0',
    ],
    '@radix-ui/react-popper' => [
        'version' => '1.2.1',
    ],
    'client-only' => [
        'version' => '0.0.1',
    ],
    '@tanstack/react-virtual' => [
        'version' => '3.3.0',
    ],
    'scheduler' => [
        'version' => '0.23.2',
    ],
    '@radix-ui/react-use-layout-effect' => [
        'version' => '1.1.0',
    ],
    '@radix-ui/react-use-callback-ref' => [
        'version' => '1.1.0',
    ],
    '@radix-ui/react-use-escape-keydown' => [
        'version' => '1.1.0',
    ],
    'react-remove-scroll-bar/constants' => [
        'version' => '2.3.8',
    ],
    'use-callback-ref' => [
        'version' => '1.3.3',
    ],
    'use-sidecar' => [
        'version' => '1.1.3',
    ],
    'react-remove-scroll-bar' => [
        'version' => '2.3.8',
    ],
    'react-style-singleton' => [
        'version' => '2.2.3',
    ],
    '@radix-ui/react-collection' => [
        'version' => '1.1.1',
    ],
    '@radix-ui/react-direction' => [
        'version' => '1.1.0',
    ],
    '@radix-ui/react-roving-focus' => [
        'version' => '1.1.1',
    ],
    '@motionone/types' => [
        'version' => '10.17.1',
    ],
    '@motionone/utils' => [
        'version' => '10.18.0',
    ],
    '@motionone/animation' => [
        'version' => '10.18.0',
    ],
    '@motionone/generators' => [
        'version' => '10.18.0',
    ],
    '@floating-ui/react-dom' => [
        'version' => '2.1.2',
    ],
    '@radix-ui/react-arrow' => [
        'version' => '1.1.1',
    ],
    '@radix-ui/react-use-size' => [
        'version' => '1.1.0',
    ],
    '@tanstack/virtual-core' => [
        'version' => '3.3.0',
    ],
    'detect-node-es' => [
        'version' => '1.1.0',
    ],
    'get-nonce' => [
        'version' => '1.0.1',
    ],
    '@motionone/easing' => [
        'version' => '10.18.0',
    ],
    '@floating-ui/dom' => [
        'version' => '1.6.11',
    ],
    '@floating-ui/core' => [
        'version' => '1.6.8',
    ],
    '@floating-ui/utils' => [
        'version' => '0.2.8',
    ],
    '@floating-ui/utils/dom' => [
        'version' => '0.2.8',
    ],
    'stimulus' => [
        'version' => '3.2.2',
    ],
    'three.js' => [
        'version' => '0.77.1',
    ],
    'three' => [
        'version' => '0.160.1',
    ],
    '@thatopen/components' => [
        'version' => '2.4.5',
    ],
    '@thatopen/fragments' => [
        'version' => '2.4.0',
    ],
    'web-ifc' => [
        'version' => '0.0.66',
    ],
    '@hotwired/stimulus' => [
        'version' => '3.2.2',
    ],
    '@symfony/stimulus-bundle' => [
        'path' => './vendor/symfony/stimulus-bundle/assets/dist/loader.js',
    ],
    '@thatopen/components-front' => [
        'version' => '2.4.4',
    ],
];
